Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 05:36
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Pidgin 2.10.0 and 2.10.5
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 6 [78 Posts]   Goto page: 1, 2, 3, 4, 5, 6 Next
Author Message
dejan555


Joined: 30 Nov 2008
Posts: 2686
Location: Montenegro

PostPosted: Sat 29 Jan 2011, 14:01    Post subject:  Pidgin 2.10.0 and 2.10.5
Subject description: Multiprotocol IM client
 

Version 2.10.0 for lucid puppy 5.2.8

pidgin-2.10.0-i686-lupu528.pet

Optional:

pidgin_DEV-2.10.0-i686-lupu528.pet
pidgin_DOC-2.10.0-i686-lupu528.pet
pidgin_NLS-2.10.0-i686-lupu528.pet

Build for puppy 4.3.1:

pidgin-2.10.3-i486-431.pet (Compiled by Makoto)
Dependencies: (if you have previous version with deps already installed you don't need these)
libgcrypt-1.4.6-i486-431.pet || libgpg-error-1.10-i486-431.pet || libtasn1-2.9-i486-431.pet || gnutls-2.10.5-i486-431.pet
For DEV/DOC/NLS files go here:
http://puppy.b0x.me/software/index.php?dir=pup431%2F



How to compile on 5.2.8 (assuming you have the devx loaded)

Code:
#!/bin/sh
#Download source, untar it and change to source dir
wget http://superb-sea2.dl.sourceforge.net/project/pidgin/Pidgin/2.10.0/pidgin-2.10.0.tar.bz2
tar xf pidgin-2.10.0.tar.bz2
cd pidgin-2.10.0

#This is configure line that works with the software already in lucid
./configure --build=i686-pc-linux-gnu --prefix=/usr --sysconfdir=/etc --disable-libtool-lock --disable-sm --disable-startup-notification --disable-schemas-install --disable-gstreamer --disable-gstreamer-interfaces --disable-farsight --disable-vv --disable-tcl --disable-tk --disable-doxygen --disable-dot --disable-devhelp --enable-trayicon-compat --disable-meanwhile --disable-nm

#run make and wait until it finishes compiling, then install to system
make
make install

#If you want to make package, I'm using a custom mkpkg script which I can attach later
mkpkg


That's it.

_________________



Last edited by dejan555 on Fri 06 Jul 2012, 17:06; edited 14 times in total
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
chrismt


Joined: 21 Apr 2010
Posts: 255

PostPosted: Sun 30 Jan 2011, 05:03    Post subject:  

Thanks man........cool.....What is that NLS pet for?

Chris
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 30 Jan 2011, 05:32    Post subject:  

pidgin_NLS-2.7.9-i486-dpup009.pet has locales for different languages. Different languages support takes more space than working app, so it is recommended to offer it as independent .pet.
Back to top
View user's profile Send private message 
Brown Mouse


Joined: 09 Jun 2009
Posts: 449
Location: Tenerife Canary Islands

PostPosted: Sun 30 Jan 2011, 06:11    Post subject:  

I tried Pidgin 2.7.9 in Lighthouse but couldn't get it to work so far.
Back to top
View user's profile Send private message 
Jades

Joined: 07 Aug 2010
Posts: 450
Location: Somewhere in Blighty.

PostPosted: Tue 01 Feb 2011, 22:09    Post subject:  

Working well on Lupu 520 so far. Thanks!
_________________
Zhaan - AMD K6 2 500, 512MB RAM, ATI Rage 128 VR. Full install Wary 5.5 HardInfo Report
Merlin - Core i5-4590, 8GB RAM, Radeon R9 270X. Slacko 5.7.0
Back to top
View user's profile Send private message Visit poster's website 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Wed 02 Feb 2011, 20:25    Post subject:  

Thanks. Running it in Wary 500.
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send private message Visit poster's website 
Saturn

Joined: 22 Feb 2008
Posts: 160

PostPosted: Fri 04 Feb 2011, 22:34    Post subject:  

libdbus-glib-1.so.2 missing,
unable to run in quirky 1.4
don't know if any extra deps\libs are missing
Back to top
View user's profile Send private message 
dejan555


Joined: 30 Nov 2008
Posts: 2686
Location: Montenegro

PostPosted: Sun 20 Feb 2011, 08:52    Post subject:  

Updated to 2.7.10 + howto compile short tut added, see first post
_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
chrismt


Joined: 21 Apr 2010
Posts: 255

PostPosted: Sun 20 Feb 2011, 14:21    Post subject:  

Thanks Dejan as always Very Happy
Back to top
View user's profile Send private message 
LapDog

Joined: 22 Feb 2011
Posts: 1

PostPosted: Tue 22 Feb 2011, 19:03    Post subject:  

I'm currently running wary 5 and Pidgin 2.7.5 because I can't get .9 or .10 to work. It installs properly but nothing happens when I try to run it from Menu > Internet.
I've made certain to get rid of 2.7.5 before trying a different version but no luck. Any advice for a new Puppy user?
Back to top
View user's profile Send private message 
dejan555


Joined: 30 Nov 2008
Posts: 2686
Location: Montenegro

PostPosted: Thu 24 Feb 2011, 07:16    Post subject:  

Check dependencies

Code:
ldd /usr/bin/pidgin

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
markreaves

Joined: 11 Sep 2010
Posts: 41

PostPosted: Fri 25 Feb 2011, 09:35    Post subject:  

Thank you for this pet but is there OTR plugin for this somewhere?
Back to top
View user's profile Send private message 
chrismt


Joined: 21 Apr 2010
Posts: 255

PostPosted: Sat 12 Mar 2011, 17:01    Post subject:  

Some one should think about updating this to version 2.9.11 following Dejans guide book Razz
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 1798
Location: Out wandering... maybe.

PostPosted: Sat 12 Mar 2011, 17:25    Post subject:  

You mean 2.7.11, right? Very Happy

(I'll get around to compiling my own version of Pidgin someday, dejan. Honest! Embarassed )

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
dejan555


Joined: 30 Nov 2008
Posts: 2686
Location: Montenegro

PostPosted: Sat 12 Mar 2011, 18:21    Post subject:  

Updated... you got me in the time when I was in mood for compiling Laughing
See first post.

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
Display posts from previous:   Sort by:   
Page 1 of 6 [78 Posts]   Goto page: 1, 2, 3, 4, 5, 6 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0743s ][ Queries: 13 (0.0061s) ][ GZIP on ]